Bug 220629 - GLcore segfault in xmesa_check_and_update_buffer_size
GLcore segfault in xmesa_check_and_update_buffer_size
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
: Patch
: 240002 243454 246313 246797 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-22 12:04 EST by sean
Modified: 2008-05-06 21:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:03:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old; backtrace at end of log file. (55.60 KB, text/plain)
2006-12-22 12:04 EST, sean
no flags Details
xorg.conf (5.69 KB, text/plain)
2006-12-28 11:20 EST, sean
no flags Details
Xorg.0.log generated with no xorg.conf (24.57 KB, text/plain)
2006-12-28 11:22 EST, sean
no flags Details
gdb backtrace at the point where Xorg receives SIGSEGV (1.38 KB, text/plain)
2007-07-12 13:14 EDT, Ian Collier
no flags Details
Patch for Mesa fixing the null-context bug (7.33 KB, patch)
2007-07-13 13:23 EDT, Ian Collier
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7205 None None None Never
Novell 211314 None None None Never

  None (edit)
Description sean 2006-12-22 12:04:42 EST
Description of problem:

In firefox usually, every once in a while, clicking on a button in a dialog box
will crash X.


Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.1.1-56.fc7.x86_64

How reproducible:

Sadly, it seems random.
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Attached Xorg.0.log.old, has backtrace at end.

This may be related to bug 218199, but the backtrace is somewhat different.
Comment 1 sean 2006-12-22 12:04:42 EST
Created attachment 144298 [details]
Xorg.0.log.old; backtrace at end of log file.
Comment 2 Matěj Cepl 2006-12-27 16:11:35 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 sean 2006-12-28 11:20:53 EST
Created attachment 144472 [details]
xorg.conf
Comment 4 sean 2006-12-28 11:22:54 EST
Created attachment 144474 [details]
Xorg.0.log generated with no xorg.conf

X failed to start
Comment 5 sean 2006-12-28 11:26:24 EST
I've attached my xorg.conf.

The Xorg.0.log from an X session that died is in comment 1, id=144298.

I've also attached the Xorg.0.log where I had no xorg.conf. As you can see, X
failed to start.
Comment 6 Adam Jackson 2007-05-16 18:26:53 EDT
*** Bug 240002 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2007-07-02 16:24:29 EDT
*** Bug 246313 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2007-07-09 15:38:16 EDT
*** Bug 246797 has been marked as a duplicate of this bug. ***
Comment 9 Ian Collier 2007-07-12 13:04:45 EDT
I can reproduce this 100% reliably on xorg-x11-server-Xorg-1.3.0.0-9.fc7.x86_64
(fresh install of Fedora 7 with updates); the catch is that it requires Matlab
(tested with R2006b).  The Matlab can be running on a remote machine with
trusted X11 forwarding (provided it has OpenGL support) or on the local machine.
 Simply type:

$ matlab -nodesktop
> [x y z v] = flow;
> isosurface(x,y,z,v,0);

A new window appears containing a graph.  Grab the titlebar of this new window,
and as soon as you attempt to move it, *boom*.

Not posting the traceback since it's pretty similar to the one here and the one
in bug 246313.
Comment 10 Ian Collier 2007-07-12 13:14:51 EDT
Created attachment 159076 [details]
gdb backtrace at the point where Xorg receives SIGSEGV
Comment 11 Ian Collier 2007-07-13 13:23:54 EDT
Created attachment 159216 [details]
Patch for Mesa fixing the null-context bug

This bug seems to be the same as Debian Bug 430948
[http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=430948] and SuSE bug 211314
[https://bugzilla.novell.com/show_bug.cgi?id=211314].

The Debian bug report points to an upstream bug and a patch that fixes the
issue.	I've applied the patch mentioned there (needed a couple of edits) to
the Fedora 7 version of mesa-6.5.2 and regenerated it.	The regenerated patch
is attached.

Recompiling the SRPM for xorg-x11-server after applying this patch to mesa has
fixed the issue for me with Matlab as far as I can tell.
Comment 12 Matěj Cepl 2007-07-25 18:23:06 EDT
*** Bug 243454 has been marked as a duplicate of this bug. ***
Comment 13 Matěj Cepl 2007-07-25 18:24:43 EDT
Attachment 159984 [details] and attachment 159985 [details] of bug 243454 are upstream patches for
this problem.
Comment 14 Ian Collier 2007-07-25 19:54:29 EDT
The upstream patch I attached in comment 11 of this bug is actually a more
complete solution than attachment 159984 [details] - the latter essentially just ignores
the problem.  I'm not sure, but I think attachment 159985 [details] fixes a different (but
possibly related) bug.
Comment 15 Adam Jackson 2007-08-14 11:34:00 EDT
This bug is believed to be fixed as of xorg-x11-server 1.3.0.0-19.fc8, in
tomorrow's rawhide.  Please update, and move this bug back to ASSIGNED if the
issue still occurs for you.
Comment 16 James Crawford 2007-08-16 17:58:41 EDT
Will there be an update for fc7? I currently have 1.3.0.0-9.fc7 and the problem
still occurs.
Comment 17 Ed Marshall 2007-08-31 08:26:08 EDT
Agreed, getting this into F7 would be a good idea; not all of us can run 
rawhide or F8 beta builds regularly regularly. ;-)
Comment 19 James Crawford 2007-10-16 01:01:43 EDT
I just had a simular problem in FC6. Closed an active Firefox session with 3
tabs still open and X did its crash thing.

FWIW the last few lines of Xorg.0.log.old follows;
(II) <default pointer>: ps2EnableDataReporting: succeeded
Warning: font renderer for ".pcf" already registered at priority 0
Warning: font renderer for ".pcf.Z" already registered at priority 0
Warning: font renderer for ".pcf.gz" already registered at priority 0
Warning: font renderer for ".snf" already registered at priority 0
Warning: font renderer for ".snf.Z" already registered at priority 0
Warning: font renderer for ".snf.gz" already registered at priority 0
Warning: font renderer for ".bdf" already registered at priority 0
Warning: font renderer for ".bdf.Z" already registered at priority 0
Warning: font renderer for ".bdf.gz" already registered at priority 0
Warning: font renderer for ".pmf" already registered at priority 0
FreeFontPath: FPE "unix/:7100" refcount is 2, should be 1; fixing.
 
Comment 20 Bug Zapper 2008-04-03 14:48:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 21 Bug Zapper 2008-05-06 21:03:27 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.